> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet

> This endpoint allows you to retrieve a specific wallet by ID.



## OpenAPI

````yaml openapi.json get /wallet
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /wallet:
    get:
      tags:
        - Wallet
      summary: Get wallet
      description: This endpoint allows you to retrieve a specific wallet by ID.
      operationId: getWallet
      parameters:
        - name: wallet_id
          in: query
          required: true
          description: The wallet ID to fetch details for
          schema:
            type: string
            example: 68bc290df51feea8c53f5275
      responses:
        '200':
          description: Wallet fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWalletResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetWalletResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Wallet fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-08T20:37:46.152Z'
        data:
          type: object
          properties:
            id:
              type: string
              example: 68bc290df51feea8c53f5275
            reference:
              type: string
              example: rmb9y5fxuuc7dbb5nsoj0lezd25uls
            is_active:
              type: boolean
              example: true
            address:
              type: object
              properties:
                evm:
                  type: string
                  example: '0xf66Dd142c6F15431835f402b0B8a6093C86D7EC2'
                svm:
                  type: string
                  example: F5t8SUAPd7Ebjk6WZvGZbfS2z15RJvZ6LgXZhccwQS93
            transfer:
              type: boolean
              example: false
            swap:
              type: boolean
              example: false
            offramp:
              type: boolean
              example: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````